#!/bin/sh
#

# hier is full path to install.img
img=$1 

# hier is path only
path=${img%/*} 

log="$img.1.install_a.log"
if [ ! -e "$log" ]; then
	touch "$log"
	echo "MOS: install boot"  
	echo "MOS: system messages" >> "$log"
	dmesg -c >> "$log"
	sync
	echo "MOS: extract install_a1" >> "$log"
	tar -xf "$img" install_a1 -C /tmp/ >> "$log" 2>&1
	chmod +x /tmp/install_a1
	echo "MOS: execute install_a1" >> "$log"
	sync
	/tmp/install_a1 "$1" >> "$log" 2>&1
	sync
	echo "MOS: install_a1 finished" >> "$log"
	sync
	sleep 3  
	sync
	reboot
else 	
	log="$img.1.after install.log"
	if [ ! -e "$log" ]; then
		touch "$log"
		echo "MOS: after install"  
		echo "MOS: after install" >> "$log"
		busybox dmesg -c >> "$log"
		sync
		echo "MOS: cat /proc/cpuinfo" >> "$log"
		busybox cat /proc/cpuinfo >> "$log"
		echo "MOS: cat /proc/meminfo" >> "$log"
		busybox cat /proc/meminfo >> "$log"
		echo "MOS: df" >> "$log"
		busybox df -h >> "$log"
		echo "MOS: fdisk" >> "$log"
		busybox fdisk -l >> "$log"
		echo "MOS: ifconfig" >> "$log"
		busybox ifconfig >> "$log"
		sync		
	fi
fi
